<?xml version="1.0" encoding="UTF-8"?>
<definitions 
    name="obligacionesCIRBEwsdl"
    targetNamespace="http://j2ee.netbeans.org/wsdl/obligacionesCIRBEwsdl"
    xmlns="http://schemas.xmlsoap.org/wsdl/"
    xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema"
    xmlns:tns="http://j2ee.netbeans.org/wsdl/obligacionesCIRBEwsdl"
    xmlns:ns="http://xml.netbeans.org/schema/SynchronousSample"
    xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype"
    xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
  <types>
    <xsd:schema targetNamespace="http://j2ee.netbeans.org/wsdl/obligacionesCIRBEwsdl">
      <xsd:import namespace="http://xml.netbeans.org/schema/SynchronousSample" schemaLocation="LoanApprovalExtended.xsd"/>
    </xsd:schema>
  </types>
  <message name="CIRBE_Request">
    <part name="dni" type="xsd:string"/>
    <part name="cantidad" type="xsd:decimal"/>
    <part name="idPrestamo" type="xsd:string"/>
  </message>
  <message name="CIRBE_Response">
    <part name="obligaciones" type="ns:obligaciones"/>
  </message>

  <message name="CancelaNuevaObligacionRequest">
    <part name="idPrestamo" type="xsd:string"/>
  </message>
  <message name="CancelaNuevaObligacionResponse">
    <part name="estado" type="xsd:boolean"/>
  </message>

  <portType name="obligacionesCIRBEwsdlPortType">
    <operation name="ConsultaYalmacenaCIRBE">
      <input name="input1" message="tns:CIRBE_Request"/>
      <output name="output1" message="tns:CIRBE_Response"/>
    </operation>
    <operation name="CancelaNuevaObligacionCIRBE">
      <input name="input1" message="tns:CancelaNuevaObligacionRequest"/>
      <output name="output1" message="tns:CancelaNuevaObligacionResponse"/>
    </operation>

  </portType>

  <binding name="obligacionesCIRBEwsdlBinding" type="tns:obligacionesCIRBEwsdlPortType">
    <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
    <operation name="ConsultaYalmacenaCIRBE">
      <soap:operation/>
      <input name="input1">
	<soap:body use="literal" namespace="http://j2ee.netbeans.org/wsdl/obligacionesCIRBEwsdl"/>
      </input>
      <output name="output1">
	<soap:body use="literal" namespace="http://j2ee.netbeans.org/wsdl/obligacionesCIRBEwsdl"/>
      </output>
    </operation>
    <operation name="CancelaNuevaObligacionCIRBE">
      <soap:operation/>
      <input name="input1">
	<soap:body use="literal" namespace="http://j2ee.netbeans.org/wsdl/obligacionesCIRBEwsdl"/>
      </input>
      <output name="output1">
	<soap:body use="literal" namespace="http://j2ee.netbeans.org/wsdl/obligacionesCIRBEwsdl"/>
      </output>
    </operation>
  </binding>

  <service name="obligacionesCIRBEwsdlService">
    <port name="obligacionesCIRBEwsdlPort" binding="tns:obligacionesCIRBEwsdlBinding">
      <soap:address location="http://localhost:${HttpDefaultPort}/obligacionesCIRBEwsdlService/obligacionesCIRBEwsdlPort"/>
    </port>
  </service>
  <plnk:partnerLinkType name="obligacionesCIRBEwsdl">
    <plnk:role name="obligacionesCIRBEwsdlPortTypeRole" portType="tns:obligacionesCIRBEwsdlPortType"/>
  </plnk:partnerLinkType>
</definitions>
